﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace ControlSharp2
{
    /// <summary>
    /// Производный класс Ребенок
    /// </summary>
    public class Children : Parents
    {
        int oldster; //старики детей

        //Заполнение данных о детях через конструктор
        public Children(int birthYear, string surname, string name, string patronymic) : base(birthYear, surname, name, patronymic)
        {
            Console.Write("Введите сколько у вас стариков: ");
            oldster = Convert.ToInt32(Console.ReadLine());
            base.SetLineage();
        }

        //У детей также есть еще бабушки и дедушки (старики)
        public override void GetLineage()
        {
            Console.WriteLine($"В наличии стариков: {oldster}");
            Console.WriteLine($"В наличии родителей: {parents}");
            Console.WriteLine($"В наличии детей: {children}");
        }
       
        //Дети говорят другие вещи
        public new void Speak()
        {
            Console.WriteLine("Ребенок учится");
        }

        // Дети учатся     
        public void Study()
        {
            Console.WriteLine("Ребенок что-то сказал");
        }
        
        //О детях можно узнать наименование, возраст и данные о родственых связях
        public void PrintInfo()
        {
            Console.WriteLine($"Ребенок: {GetFIO()}");
            Console.WriteLine($"Возраст: {GetAge()}");
            GetLineage();         
        }
    }
}
