﻿
using System.Xml.Linq;

namespace ControlSharp2
{
    class MainClass
    {
        static void Main()
        {
            try
            {
                Console.ForegroundColor = ConsoleColor.Green;
                Console.WriteLine("Создание ребенка");
                Console.ResetColor();
                Console.Write("Год рождения: ");
                int birthYear = Convert.ToInt32(Console.ReadLine());
                Console.Write("Фамилия: ");
                string surname = Console.ReadLine();
                Console.Write("Имя: ");
                string name = Console.ReadLine();
                Console.Write("Отчество: ");
                string patronymic = Console.ReadLine();
                Children child = new Children(birthYear, surname, name, patronymic);
                child.PrintInfo();
                child.Speak();
                child.Study();
            }
            catch (Exception e)
            {
                Console.ForegroundColor = ConsoleColor.Red;
                Console.WriteLine("Произошла ошибка");
                Console.WriteLine($"Тип ошибки: {e.GetType().Name}");
                Console.WriteLine($"Описание: {e.Source}");
                Console.WriteLine($"Строка: {e.StackTrace}");
                Console.ResetColor();
            }
        }
    }
}